commit:     56c7b2b8e4d416384a315e7a0ede6e563e802eb4
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Thu Dec  1 17:12:45 2016 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Thu Dec  1 17:24:42 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=56c7b2b8

dev-python/aodhclient: bup

Package-Manager: portage-2.3.0

 dev-python/aodhclient/Manifest                |  1 +
 dev-python/aodhclient/aodhclient-0.7.0.ebuild | 38 +++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-python/aodhclient/Manifest b/dev-python/aodhclient/Manifest
index 98f6f54..0dd1b6d 100644
--- a/dev-python/aodhclient/Manifest
+++ b/dev-python/aodhclient/Manifest
@@ -1 +1,2 @@
 DIST aodhclient-0.6.0.tar.gz 40827 SHA256 
eb33dd5b215a137d052cdbf12d9c7a2ab3d1fe52702ffd2323e57d2fa759363d SHA512 
daa3f568cc2c59a010024beecf2917bf7e3ee64a0a18851e19c92dba159fcd2f36e64dd418ac4a36ee93b0a06c8c00b1f222aebfa915e9bddeaca074a12568bc
 WHIRLPOOL 
2e71b890b392f6c00abe2c5fb45dfdf98215403612de2d50f19c4c9a82cde91c5cd7691fe51c3838ab6a7009824dfa01ca1430b95c86a9ac41fdea005758e915
+DIST aodhclient-0.7.0.tar.gz 42096 SHA256 
17afd102aea3711e9315bb6d8f7d176c7ef37e8ee60ea2e9302c5763bf41c979 SHA512 
96c454e7ada9b8032f74f928dbb868c23a8a1d358b86d804f190eedeab78af041dd0fa673924da3b51785ef670634787cee91aec308381a2797125650cf79087
 WHIRLPOOL 
3ded0d4e36a2f9b85c3d05ecd0c6b3bcb5de6ad114fcbd2993e8ec4d679b5c03f90fe3a27bf1fc506af9fdf848a9f31fe73c328dead7f836e0138852da95bdb3

diff --git a/dev-python/aodhclient/aodhclient-0.7.0.ebuild 
b/dev-python/aodhclient/aodhclient-0.7.0.ebuild
new file mode 100644
index 00000000..a52e007
--- /dev/null
+++ b/dev-python/aodhclient/aodhclient-0.7.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 )
+
+inherit distutils-r1
+
+DESCRIPTION="A client for the OpenStack Aodh API"
+HOMEPAGE="https://github.com/openstack/python-aodhclient";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+CDEPEND=">=dev-python/pbr-1.6[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       ${CDEPEND}"
+RDEPEND="
+       ${CDEPEND}
+       >=dev-python/cliff-1.14.0[${PYTHON_USEDEP}]
+       !~dev-python/cliff-1.16.0[${PYTHON_USEDEP}]
+       >=dev-python/osc-lib-1.0.1[${PYTHON_USEDEP}]
+       >=dev-python/oslo-i18n-2.1.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-serialization-1.10.0[${PYTHON_USEDEP}]
+       >=dev-python/oslo-utils-3.16.0[${PYTHON_USEDEP}]
+       >=dev-python/keystoneauth-2.10.0[${PYTHON_USEDEP}]
+       >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+       >=dev-python/debtcollector-1.3.0[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+       # built in...
+       sed -i '/^hacking/d' test-requirements.txt || die
+       distutils-r1_python_prepare_all
+}

Reply via email to